=== debian/changelog ===
plasma-desktop (4:5.20.5-4+deb11u1) bullseye; urgency=medium

  * Team upload.
  * Cherry-pick commit to fix the Denial of Service bug in Discover
    (Closes: #1006125).

 -- Patrick Franz <deltaone@debian.org>  Sun, 20 Feb 2022 18:50:03 +0100

plasma-desktop (4:5.20.5-4) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Update upstream metadata.
  * Cherry-pick and adjust upstream fix for crash when deleting activity
    from activity manager

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 24 Feb 2021 13:35:04 +0100

plasma-desktop (4:5.20.5-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream LTS bugfixes:
    - [folder view] de-duplicate switch width/height logic
    - [folder view] Fix display on not-skinny vertical panels

 -- Norbert Preining <norbert@preining.info>  Mon, 18 Jan 2021 13:49:14 +0900

plasma-desktop (4:5.20.5-2) unstable; urgency=medium

  * Team upload.
  * Bump the plasma-workspace-dev build dependency to 5.20.5.
  * Trim trailing whitespace.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 10:14:33 +0100

plasma-desktop (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:53 +0900

plasma-desktop (4:5.20.4-2) unstable; urgency=medium

  * Add accountsservice to depends.
  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

plasma-desktop (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.
  * Remove references to libkfontinst*, moved to plasma-workspace.
  * Remove outdated patch allow_uxterm_overrides.diff
  * Add patch to fix compilation errors: fix-baloo-compilation
  * Update list of installed files.
  * Remove fixperms override from d/rules.
  * Remove library related code from d/rules.
  * Bump deps/recs to 5.20, remove user-manager (dropped).
  * Break against user-manager.
  * Add KAccounts and necessary deps to B-D.
  * Drop breeze-dev from B-D, drop breeze patch
    debian/patches/Drop-the-patch-version-for-breeze.patch

  [ Aurélien COUDERC ]
  * Add usr/share/account service files to installed files.
  * Backport upstream commit to offer to change kwallet password when changing
    login password.

  [ Pino Toscano ]
  * Switch the transitional libxcb-util0-dev build dependency to
    libxcb-util-dev.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove listed license files
    (kcms/touchpad/cmake/modules/COPYING-CMAKE-SCRIPTS) from copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

plasma-desktop (4:5.19.5-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the qml-module-org-kde-newstuff dependency in plasma-desktop-data,
    needed for some KCMs. (Closes: #974652)
  * Update lintian overrides.

  [ Norbert Preining ]
  * Demote ibus-data from deps to recommends (Closes: #974681)

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Nov 2020 09:37:16 +0900

plasma-desktop (4:5.19.5-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Switch dep from ibus-table-emoji to ibus-data.

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Nov 2020 06:55:41 +0900

plasma-desktop (4:5.19.5-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Add ibus-table-emoji to depends of plasma-desktop for emoji picker.
  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:42 +0900

plasma-desktop (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.
  * Tighten B-D on plasma-workspace-dev.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 18:39:23 +0900

plasma-desktop (4:5.19.4-2) experimental; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Use correct override for arch-indep packages.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 06:44:18 +0900

plasma-desktop (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Replace the transitional libfontconfig1-dev build dependency with
    libfontconfig-dev.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Max from Uploaders as requested on IRC, add Scarlett.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update Qt build-deps with the info from cmake.
  * Update patches.
  * Update list of installed files.
  * Bump compat level to 13.
  * Enable team builder to be able to build on salsa.
  * Add Rules-Requires-Root field to control.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set field Upstream-Contact in debian/copyright.
  * Enable build hardening.
  * Clean up lintian overrides.
  * Add python3 to dependencies of plasma-desktop-data.
  * Make kconf_update scripts executable.

 -- Norbert Preining <norbert@preining.info>  Sat, 17 Oct 2020 01:07:19 +0900

plasma-desktop (4:5.17.5-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Aurélien COUDERC ]
  * Cherrypick upstream patch to fix activities KCM.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 22:58:27 +0100

plasma-desktop (4:5.17.5-2) experimental; urgency=medium

  * Team upload.
  * Add breaks/replaces with kdeplasma-addons-data & plasma-widgets-addons
    < 5.17, as some files were moved to plasma-deskop. (Closes: #949334)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jan 2020 08:13:32 +0100

plasma-desktop (4:5.17.5-1) experimental; urgency=medium

  * Team upload.


