## plasma-desktop 5.21.4

=== debian/changelog ===
plasma-desktop (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:20 +0100

plasma-desktop (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:34:32 +0000

plasma-desktop (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:17 +0000

plasma-desktop (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)
  * Drop included upstream_fix-keyboard-migration.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:49 +0000

plasma-desktop (4:5.21.0-0ubuntu2) hirsute; urgency=medium

  * Add upstream_fix-keyboard-migration.patch requested by upstream.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 18:26:50 +0000

plasma-desktop (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:32 +0000

plasma-desktop (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Drop all upstream applied patches.
  * Optional build depend on libpackagekitqt5-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:45:34 +0000

plasma-desktop (4:5.20.5-3ubuntu1) hirsute; urgency=medium

  * Merge with debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - fix-baloo-kcm-includes.patch
    - Runtime depend on qml-module-org-kde-kirigami2.
    - Recommend extra noto fonts, plasma-browser-integration, and
      plasma-thunderbolt.
    - Breaks/Replaces to suit Kubuntu history.
    - wrap-and-sort -bt

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Jan 2021 09:01:24 +0000

plasma-desktop (4:5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:05:07 +0000

plasma-desktop (4:5.20.4-2ubuntu1) hirsute; urgency=medium

  * Merge with debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - fix-baloo-kcm-includes.patch
    - Runtime depend on qml-module-org-kde-kirigami2.
    - Recommend extra noto fonts, plasma-browser-integration, and
      plasma-thunderbolt.
    - Breaks/Replaces to suit Kubuntu history.
    - wrap-and-sort -bt

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 11:55:44 +0000

plasma-desktop (4:5.20.4-0ubuntu2) hirsute; urgency=medium

  * Add accountsservice to depends, required for users KCM.

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Dec 2020 10:30:13 +0000

plasma-desktop (4:5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)
  * Drop obsolete Drop-the-patch-version-for-breeze.patch
  * Drop obsolete breeze-dev build depend.

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:50:22 +0000

plasma-desktop (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * Build depend on kaccounts.
  * Drop libkfontinst5 and libkfontinstui5 packages, moved to plasma-
    workspace.
  * Update install files.
  * Breaks/Replaces on obsolete user-manager.
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:53:58 +0000
