=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                intltool,
                kded5-dev (>= 5.74.0~),
                kinit-dev,
-               kscreenlocker-dev,
-               kwin-dev (>= 4:5.20~),
+               kirigami2-dev (>= 5.74.0~),
+               kscreenlocker-dev (>= 5.21.4~),
+               kwin-dev (>= 4:5.21.4~),
+               libaccounts-qt5-dev (>= 1.13~),
                libboost-dev,
                libfontconfig-dev,
                libfreetype-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               kirigami2-dev (>= 5.74.0~),
-               libaccounts-qt5-dev (>= 1.13~),
                libkaccounts-dev (>= 4:20.04~),
                libkf5activities-dev (>= 5.74.0~),
                libkf5activitiesstats-dev (>= 5.74.0~),
@@ -49,6 +49,7 @@
                libkf5widgetsaddons-dev (>= 5.74.0~),
                libkf5windowsystem-dev (>= 5.74.0~),
                libkf5xmlgui-dev (>= 5.74.0~),
+               libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
                libqt5svg5-dev (>= 5.15.0~),
@@ -71,7 +72,7 @@
                libxkbfile-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.20.5~),
+               plasma-workspace-dev (>= 4:5.21.4~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                xserver-xorg-dev,
@@ -80,8 +81,8 @@
                xserver-xorg-input-synaptics-dev,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/plasma-desktop
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
 Rules-Requires-Root: no
 
 Package: plasma-desktop
@@ -100,19 +101,23 @@
          polkit-kde-agent-1 (>= 4:5.20~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kirigami2 (>= 5.54.0~),
          qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-kwindowsystem,
+         qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
          qml-module-org-kde-solid,
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
-         qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: bluedevil (>= 4:5.20~),
             breeze-gtk-theme (>= 5.20~),
             fonts-hack,
-            fonts-noto,
+            fonts-noto-cjk,
+            fonts-noto-hinted,
+            fonts-noto-mono,
+            fonts-noto-unhinted,
             ibus-data,
             kde-config-gtk-style (>= 4:5.20~),
             kde-config-screenlocker (>= 5.20~),
@@ -130,9 +135,11 @@
             kwin-x11 (>= 4:5.20~) | kwin,
             kwrited (>= 4:5.20~),
             libpam-kwallet5 (>= 5.20~),
+            plasma-browser-integration,
             plasma-discover (>= 5.20~),
             plasma-disks (>= 5.20~),
             plasma-pa (>= 4:5.20~),
+            plasma-thunderbolt,
             powerdevil (>= 4:5.20~),
             systemsettings (>= 4:5.20~),
 Breaks: baloo-kf5 (<< 5.5),
@@ -140,6 +147,7 @@
         kde-config-touchpad (<< 4:5),
         kde-workspace-bin,
         kde-workspace-data,
+        plasma-desktop-data (<< 4:5.20.4-2~),
         plasma-widget-kimpanel,
         plasma-widgets-addons (<< 4:5.17.5~),
         user-manager (<< 4:5.20),
@@ -148,6 +156,7 @@
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
+          plasma-desktop-data (<< 4:5.20.4-2~),
           plasma-widget-kimpanel,
           plasma-widgets-addons (<< 4:5.17.5~),
 Description: Tools and widgets for the desktop
@@ -163,8 +172,7 @@
 
 Package: plasma-desktop-data
 Architecture: all
-Depends: ${misc:Depends},
-         python3:any
+Depends: python3:any, ${misc:Depends}
 Recommends: plasma-framework (>> 5.22),
             plasma-workspace (>= 4:5.20~),
             qml-module-org-kde-activities,
@@ -173,21 +181,23 @@
             qml-module-qtquick-dialogs,
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
+        kde-config-gtk-style (<< 4:5.19.0~),
         kde-config-touchpad (<< 4:5),
         kde-workspace-bin,
         kde-workspace-data,
-        kdeplasma-addons-data (<< 4:5.17.5~),
+        plasma-desktop (<< 4:5.20.0~),
+        plasma-widget-kimpanel,
         plasma-widgets-addons (<< 4:5.17.5~),
-        plasma-widget-kimpanel,
         ${kde-l10n:all},
 Replaces: baloo-kf5 (<< 5.5),
           kactivities,
+          kde-config-gtk-style (<< 4:5.19.0~),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
-          kdeplasma-addons-data (<< 4:5.17.5~),
+          plasma-desktop (<< 4:5.20.0~),
+          plasma-widget-kimpanel,
           plasma-widgets-addons (<< 4:5.17.5~),
-          plasma-widget-kimpanel,
           ${kde-l10n:all},
 Description: Tools and widgets for the desktop data files
  Plasma Desktop offers a beautiful looking desktop
@@ -206,8 +216,8 @@
 Section: devel
 Architecture: any
 Depends: ${misc:Depends},
+         ${shlibs:Depends},
          ${so:Depends},
-         ${shlibs:Depends},
 Breaks: kde-config-touchpad (<< 4:5)
 Replaces: kde-config-touchpad (<< 4:5)
 Description: Tools and widgets for the desktop
